%define anolis_release 4

Summary:        Archive::Zip - Provide an interface to ZIP archive files.
Name:           perl-Archive-Zip
Version:        1.68
Epoch:          1
Release:        %{anolis_release}%{?dist}

# lib/Archive/Zip/Member.pm:    (GPL+ or Artistic) and BSD
#                               (The _mapPermissionsToUnix() comments are
#                               copied from BSD-licensed unzip)
# other files:                  GPL+ or Artistic
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/Archive-Zip
Source0:        https://cpan.metacpan.org/authors/id/P/PH/PHRED/Archive-Zip-%{version}.tar.gz
BuildArch:      noarch

# For a Git binary patch
BuildRequires:  git-core make
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(:VERSION) >= 5.4 perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
# Run-time
BuildRequires:  perl(:VERSION) >= 5.6 perl(Carp)
BuildRequires:  perl(Compress::Raw::Zlib) perl(constant) perl(Cwd)
BuildRequires:  perl(Encode) perl(Exporter) perl(File::Basename)
BuildRequires:  perl(File::Copy) perl(File::Find) perl(File::Path)
BuildRequires:  perl(File::Spec) >= 0.80 perl(File::Temp)
BuildRequires:  perl(FileHandle) perl(integer) perl(IO::File)
BuildRequires:  perl(IO::Seekable) perl(Time::Local) perl(vars)
# Tests
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(lib) perl(Test::More) >= 0.88
BuildRequires:  perl(utf8) perl(warnings)
BuildRequires:  unzip zip
Requires:       perl(Exporter)
Requires:       perl(File::Spec) >= 0.80

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$

%description
The Archive::Zip module allows a Perl program to create, manipulate,
read, and write Zip archive files.

Zip archives can be created, or you can read from existing zip files.

Once created, they can be written to files, streams, or strings.
Members can be added, removed, extracted, replaced, rearranged, and
enumerated.  They can also be renamed or have their dates, comments,
or other attributes queried or modified.  Their data can be compressed
or uncompressed as needed.  Members can be created from members in
existing Zip files, or from existing directories, files, or strings.

Members can be created from members in existing Zip files, or from
existing directories, files, or strings.

This module uses the Compress::Raw::Zlib library to read and write
the compressed streams inside the files.

One can use Archive::Zip::MemberRead to read the zip file archive
members as if they were files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git -n Archive-Zip-%{version}
for F in examples/*.pl; do
    perl -MExtUtils::MakeMaker -e "ExtUtils::MM_Unix->fixin(q{$F})"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{_bindir}/crc32
%{perl_vendorlib}/Archive/
%{_mandir}/man3/Archive*.3*

%files doc
%doc Changes examples/

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1:1.68-4
- optimize spec file

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.68-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.68-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.68-1
- init from upstream
